SmakeSmake API Docs
EndpointsLogos

Get a logo

GET
/logos/{id}

Returns the logo with the id = x.

Expanding relationships

You can expand some resources to show more details. See: Expanding Objects

  • Expand production method — You can show the content of the production method instead of the id: /logos/1?expand=production_method
AuthorizationbearerAuth

Authorization

bearerAuth
AuthorizationBearer <token>

API token as bearer token — you receive a test and a live token, there is no switch between them. See Setup → Authentication and Setup → Test mode.

In: header

Path Parameters

id*integer

The ID of the resource.

Query Parameters

expand?string

You can expand some resources to show more details — see Expanding Objects. Allowed values:

  • production_method — You can show the content of the production method instead of the id.

Header Parameters

Accept*"application/json"

The API only responds with JSON — this header is mandatory on every request (see Setup → Headers).

Default"application/json"

Value in

  • "application/json"

Response Body

application/json

application/json

application/json

Request example
curl -X GET "https://example.com/logos/0?expand=production_method" \  -H "Accept: application/json"

{  "id": 1,  "base_logo_id": null,  "requested": [    {      "url": "https://smake-public.s3.eu-west-1.amazonaws.com/testfiles/logo.png",      "collection_name": "production-file"    }  ],  "state": "completed",  "collection_name": "catalogue",  "name": "logo",  "production_method": 1,  "texts": [],  "color_assignments": [],  "is_customer_logo": false,  "has_been_ordered": false,  "external_identifier": null,  "media": [    {      "id": 1854,      "is_test": 0,      "collection_name": "original-data",      "file_name": "logo.png",      "size": 7502,      "mime_type": "image/png",      "download_url": "https://smake-public.s3.eu-west-1.amazonaws.com/files/40b1b50df1d0423f9cc11a37b62a6f8d/logo.png?X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIATV6IRLEXI2SRHX47%2F20220322%2Feu-west-1%2Fs3%2Faws4_request&X-Amz-Date=20220322T135511Z&X-Amz-SignedHeaders=host&X-Amz-Expires=3600&X-Amz-Signature=a4ffe1e811255ab158d1ae984d2876d4f6a3f3e4986472632f66fb71381635a0",      "state": "completed",      "requested": null,      "failure_message": null,      "created_at": "2022-03-22T13:45:58+00:00",      "updated_at": "2022-03-22T13:45:58+00:00"    },    {      "id": 1855,      "is_test": 0,      "collection_name": "production-file",      "file_name": "logo.png",      "size": 7502,      "mime_type": "image/png",      "download_url": "https://smake-public.s3.eu-west-1.amazonaws.com/files/333440cf2e1a43f0b4f79ce771223b5a/logo.png?X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIATV6IRLEXI2SRHX47%2F20220322%2Feu-west-1%2Fs3%2Faws4_request&X-Amz-Date=20220322T135511Z&X-Amz-SignedHeaders=host&X-Amz-Expires=3600&X-Amz-Signature=4a829a8fb0a9d697fe20d25ea0dcded1aba16b084bd2793ce83c00aeed737975",      "state": "pending",      "requested": null,      "failure_message": null,      "created_at": "2022-03-22T13:45:58+00:00",      "updated_at": "2022-03-22T13:45:58+00:00"    },    {      "id": 1856,      "is_test": 0,      "collection_name": "preview-file",      "file_name": "logo.png",      "size": 28950,      "mime_type": "image/png",      "download_url": "https://smake-public.s3.eu-west-1.amazonaws.com/files/b212cfc3505a42e5bc4d1fb53388824d/logo.png?X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIATV6IRLEXI2SRHX47%2F20220322%2Feu-west-1%2Fs3%2Faws4_request&X-Amz-Date=20220322T135511Z&X-Amz-SignedHeaders=host&X-Amz-Expires=3600&X-Amz-Signature=3a9aee75d85cf41ea02277edf3768ee4196ea1855776bff4660f7deee78eb2be",      "state": "pending",      "requested": null,      "failure_message": null,      "created_at": "2022-03-22T13:45:59+00:00",      "updated_at": "2022-03-22T13:45:59+00:00"    }  ],  "failure_message": null,  "origin": "merchant-upload",  "review_state": "completed",  "created_at": "2022-03-22T13:45:56+00:00",  "updated_at": "2022-03-22T13:46:00+00:00"}

Create a logo POST

You can create a logo here with a url or an uploaded media `id`. See [Upload Media](/docs/checkout/2022-02-01/endpoints/media/uploadMedia). Allowed production methods are for DTG and Manual processing. ### Background processing When you create a logo, this happens asynchronously, and you have to use [Polling](/docs/checkout/2022-02-01/basic/polling) or [Webhooks](/docs/checkout/2022-02-01/basic/webhooks). You will receive the new logo `id` in the header for later reference. The current state of the asynchronous process is represented due following states: | State | Meaning | |-------|---------| | `draft` | The initial state of a new logo. | | `checking` | Logo is processed automatically in background. For example images will be generated or downloaded. | | `failed` | Something went wrong during the checking process. The reason can be found in the `failure_message` attribute. For example an image could not be downloaded. | | `completed` | All automatic processes were successful. The logo is ready to use. | It is not possible to use this logo before state `completed`. ### Media Array / Media Object The request field `media` is always an array of media objects — see the `media` property of the request body. ### Production Method Object For a list of available production methods see [Production Methods](/docs/checkout/2022-02-01/endpoints/production-methods/listProductionMethods) — see the `production_method` property of the request body.

Design a logo POST

You can create a new designed logo here. The logo you use for designing must contain at least one text element. ### Background processing When you design a logo, this happens asynchronously and you have to use [Polling](/docs/checkout/2022-02-01/basic/polling) or [Webhooks](/docs/checkout/2022-02-01/basic/webhooks). You will receive the new logo `id` in the header for later reference. The current state of the asynchronous process is represented due following states: | State | Meaning | |-------|---------| | `draft` | The initial state of a new logo | | `checking` | Logo is processed automatically in background. For example images will be generated or downloaded. | | `failed` | Something went wrong during the checking process. The reason can be found in the `failure_message` attribute. For example an image could not be downloaded. | | `completed` | All automatic processes were successful. The logo is ready to use. | It is not possible to use this logo before state `completed`. ### How to Design You can change the texts of the logo here — see the `texts` property of the request body and the Text Object (`LogoTextInput`).